#include "libc.c"


short
f(array)
char * array;
{
   short i;

   array[0] = 'A';
   array[1] = 'B';
   array[2] = 'C';

   for(i = 0; i < 3; i++) {
      switch(array[i]) {
      case 'A':
      printf("case A\r\n");
      break;
      case 'B':
      printf("case B\r\n");
      break;
      case 'C':
      printf("case C\r\n");
      break;
      }
   }
   return 0;
}


short 
main()
{
   char array[3];
   return f(array);
}

